<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>QCPLCBit.Type8 (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="QCPLCBit.Type8 (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/QCPLCBit.Type8.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type4.html"
               title="class in org.apache.poi.hpbf.model.qcbits"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCTextBit.html"
               title="class in org.apache.poi.hpbf.model.qcbits"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type8.html" target="_top">Frames</a>
        </li>
        <li><a href="QCPLCBit.Type8.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCPLCBit">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCPLCBit">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpbf.model.qcbits</div>
    <h2 title="Class QCPLCBit.Type8" class="title">Class QCPLCBit.Type8</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html"
                       title="class in org.apache.poi.hpbf.model.qcbits">org.apache.poi.hpbf.model.qcbits.QCBit</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html"
                               title="class in org.apache.poi.hpbf.model.qcbits">org.apache.poi.hpbf.model.qcbits.QCPLCBit</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hpbf.model.qcbits.QCPLCBit.Type8</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html"
                           title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static class <span class="typeNameLabel">QCPLCBit.Type8</span>
extends <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html"
           title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit</a></pre>
                <div class="block">Type 8 is quite common. They have 14 bytes of pre-data,
                    then 2x 4 byte values.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCPLCBit">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.hpbf.model.qcbits.<a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit</a></h3>
                                <code><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type0.html"
                                         title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit.Type0</a>, <a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type12.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit.Type12</a>, <a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type4.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit.Type4</a>, <a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type8.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit.Type8</a></code></li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCPLCBit">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hpbf.model.qcbits.<a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCPLCBit</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#createQCPLCBit-java.lang.String-java.lang.String-byte:A-">createQCPLCBit</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#getNumberOfPLCs--">getNumberOfPLCs</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#getPlcValA--">getPlcValA</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#getPlcValB--">getPlcValB</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#getPreData--">getPreData</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.html#getTypeOfPLCS--">getTypeOfPLCS</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCBit">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hpbf.model.qcbits.<a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html"
                                        title="class in org.apache.poi.hpbf.model.qcbits">QCBit</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getBitType--">getBitType</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getData--">getData</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getDataOffset--">getDataOffset</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getLength--">getLength</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getOptA--">getOptA</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getOptB--">getOptB</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getOptC--">getOptC</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#getThingType--">getThingType</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#setData-byte:A-">setData</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#setDataOffset-int-">setDataOffset</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#setOptA-int-">setOptA</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#setOptB-int-">setOptB</a>,
                                    <a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCBit.html#setOptC-int-">setOptC</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/QCPLCBit.Type8.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type4.html"
               title="class in org.apache.poi.hpbf.model.qcbits"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hpbf/model/qcbits/QCTextBit.html"
               title="class in org.apache.poi.hpbf.model.qcbits"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hpbf/model/qcbits/QCPLCBit.Type8.html" target="_top">Frames</a>
        </li>
        <li><a href="QCPLCBit.Type8.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCPLCBit">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.hpbf.model.qcbits.QCPLCBit">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
